Package org.apache.lucene.util.quantization

## Class QuantizedByteVectorValues

- java.lang.Object
- - org.apache.lucene.search.DocIdSetIterator
  - - org.apache.lucene.index.ByteVectorValues
    - - org.apache.lucene.util.quantization.QuantizedByteVectorValues

- Direct Known Subclasses:
    `OffHeapQuantizedByteVectorValues`

      public abstract class QuantizedByteVectorValues
      extends ByteVectorValues

  A version of `ByteVectorValues`, but additionally retrieving score correction offset for Scalar quantization scores.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.search.DocIdSetIterator

      `NO_MORE_DOCS`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `QuantizedByteVectorValues()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract float` | `getScoreCorrectionConstant()` |

    - ### Methods inherited from class org.apache.lucene.index.ByteVectorValues

      `cost, dimension, size, vectorValue`

    - ### Methods inherited from class org.apache.lucene.search.DocIdSetIterator

      `advance, all, docID, empty, nextDoc, range, slowAdvance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QuantizedByteVectorValues

          public QuantizedByteVectorValues()

  - ### Method Detail

    - #### getScoreCorrectionConstant

          public abstract float getScoreCorrectionConstant()
                                                    throws IOException

      Throws:
        `IOException`